Package org.apache.any23.extractor

## Class TagSoupExtractionResult.PropertyPath

- java.lang.Object
- - org.apache.any23.extractor.TagSoupExtractionResult.PropertyPath

- Enclosing interface:
    TagSoupExtractionResult

      public static class TagSoupExtractionResult.PropertyPath
      extends Object

  Defines a property path object.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyPath​(String[] path, org.eclipse.rdf4j.model.Resource subject, org.eclipse.rdf4j.model.Resource property, org.eclipse.rdf4j.model.BNode object, Class<? extends MicroformatExtractor> extractor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<? extends MicroformatExtractor>` | `getExtractor()` |
    `org.eclipse.rdf4j.model.BNode` | `getObject()` |
    `String[]` | `getPath()` |
    `org.eclipse.rdf4j.model.Resource` | `getProperty()` |
    `org.eclipse.rdf4j.model.Resource` | `getSubject()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyPath

          public PropertyPath​(String[] path,
                              org.eclipse.rdf4j.model.Resource subject,
                              org.eclipse.rdf4j.model.Resource property,
                              org.eclipse.rdf4j.model.BNode object,
                              Class<? extends MicroformatExtractor> extractor)

  - ### Method Detail

    - #### getPath

          public String[] getPath()

    - #### getSubject

          public org.eclipse.rdf4j.model.Resource getSubject()

    - #### getProperty

          public org.eclipse.rdf4j.model.Resource getProperty()

    - #### getObject

          public org.eclipse.rdf4j.model.BNode getObject()

    - #### getExtractor

          public Class<? extends MicroformatExtractor> getExtractor()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`